<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	$textl = 'Пересылка сообщения';
	$headmod = 'pochta';
	require_once('../incfiles/head.php');
	echo '<div class="phdr"><h3>Пересылка сообщения</h3></div>';
	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `mail_msg` WHERE `id_user`='$user_id' AND `id`='$id' or `id_kont`='$user_id' AND `id`='$id';"), 0)==0) {
		echo '<div class="rmenu">Сообщения не существует</div>';
		echo '<div class="menu"><a href="'.$home.'/pochta/">Назад</a></div>';
	}
	else {
		$row = mysql_fetch_assoc(mysql_query("SELECT * FROM `mail_msg` WHERE (`id_user`='$user_id' OR `id_kont`='$user_id') AND `id`='$id';"));
		$flood = antiflood();
		if($flood){
			echo '<div class="rmenu">Вы не можете так часто пересылать сообщения<br />Пожалуйста, подождите ' . $flood . ' сек.</div>';
			echo '<div class="bmenu"><a href="'.$home.'/pochta/index.php">Назад</a></div>';
			require_once('../incfiles/end.php');
			exit;
		}
		if($ban[3]) {
			$req = mysql_query("SELECT * FROM `cms_ban_users` WHERE `user_id`='$user_id' AND `ban_type`='3' ORDER BY `ban_while` DESC LIMIT 1");
			if (mysql_num_rows($req)) {
				$res = mysql_fetch_assoc($req);
				echo '<div class="rmenu">Отправка почты заблокирована<br />
				Срок: ' . timecount($res['ban_time'] - $res['ban_while']) . '<br />
				Осталось: ' . formattime($res['ban_time'] - $realtime) . '</div>';
				echo '<div class="bmenu"><a href="'.$home.'/pochta/index.php">Назад</a></div>';
				require_once('../incfiles/end.php');
				exit;
			}
		}
		if ($ban['1']) {
			echo '<div class="rmenu">Ваша учетная запись заблокированна. Отправка почты невозможна</div>';
			echo '<div class="bmenu"><a href="'.$home.'/pochta/index.php">Назад</a></div>';
			require_once('../incfiles/end.php');
			exit;
		}
		if(!isset($_POST['submit'])) {
			if($rights == 0) echo '<div class="rmenu">Внимание! Не злоупотребляйте рассылкой, иначе отправка почты может быть блокированна антиспамом.</div>';
			echo '<div class="menu"><form enctype="multipart/form-data" method="post" action="' . $home . '/pochta/index.php?act=send&amp;id='.$id.'"><div>
			<strong>Кому:</strong> (2-15)<br />
			<input type="text" name="login" maxlength="15"/><br />
			<input type="submit" name="submit" value="Написать"/>
			</div></form></div>';
		} else {
			$name = isset($_POST['login']) ? checkout(trim($_POST['login'])) : '';
			
			$error = array();
			if(!$name)
				$error[] = 'Введите логин';
			else if(mb_strlen($name) < 2 || mb_strlen($name) > 15)
				$error[] = 'Не верная длинна логина';
			/*
			* TODO:  Написать функцию проверки максимального количества сообщений в почтовом ящике
			*/
			
			
			
			if(!$error) {
				$req = mysql_query("SELECT * FROM `users` WHERE `name_lat`='" . mysql_real_escape_string($name) . "';");
				if(mysql_num_rows($req) == 0)
					$error[] = 'Пользователя не существует!';
				else {
					$use = mysql_fetch_assoc($req);
					$use_id = $use['id'];
				}
			}
			
			if (!$error) {
				if($rights == 0) {
					$array_spam = array();
					$req = mysql_query("SELECT * FROM `mail_msg` WHERE `id_user`='" . $user_id . "' AND `read`='1' AND `time`>'" . ($realtime-$spam['block']) . "'");
						
					while($results = mysql_fetch_assoc($req)) {
						$array_spam[] = $results['id_kont'];
					}
						
					if (count(array_count_values($array_spam))>=$spam['msg']) {
						mysql_query("INSERT INTO `cms_ban_users` SET
						`user_id` = '$user_id',
						`ban_time` = '" . ($realtime + $spam['time']*3600) . "',
						`ban_while` = '$realtime',
						`ban_type` = '3',
						`ban_who` = 'Система антиспама',
						`ban_reason` = 'Подозрение на рассылку СПАМа'") or die('error');
						mysql_query("UPDATE `mail_msg` SET
						`spam` = '2' WHERE `id_user`='" . $user_id . "' AND `read`='1' AND `time`>'" . ($realtime-1800) . "'");
						$error[] = 'Подозрение на рассылку СПАМа, отправка почты для Вашей учетной записи заблокирована на '.$spam['time'].' час.<br />
						Информация отправлена администратору';
					}
				}
			}
			
			if(!$error) {
				mysql_query("INSERT INTO `mail_msg` SET
				`id_user`='" . $user_id . "',
				`id_kont`='" . $use_id . "',
				`time`='" . $realtime . "',
				`from`='" . mysql_real_escape_string($login) . "',
				`from_out`='{$use['name']}',
				`msg`='{$row['msg']}',
				`file`='{$row['file']}',
				`ip`='$ipl',
				`ua`='" . mysql_real_escape_string($agn) . "';");
				
				mysql_query("UPDATE `users` SET
				`lastpost` = '" . $realtime . "' WHERE `id` = '" . $user_id . "' LIMIT 1");
				echo '<div class="menu">Сообщение отправлено!</div>';
			} else {
				echo '<div class="rmenu">Ошибка! '.implode('<br />',$error).'</div>';
			}
		}
	}
	echo '<div class="bmenu"><a href="'.$home.'/pochta/index.php">Назад</a></div>';
?>